<?php

function getPost()
{
    if(!empty($_POST))
    {
        // when using application/x-www-form-urlencoded or multipart/form-data as the HTTP Content-Type in the request
        // NOTE: if this is the case and $_POST is empty, check the variables_order in php.ini! - it must contain the letter P
        return $_POST;
    }

    // when using application/json as the HTTP Content-Type in the request 
    $post = json_decode(file_get_contents('php://input'), true);
    if(json_last_error() == JSON_ERROR_NONE)
    {
        return $post;
    }

    return [];
}

function get_client_ip() {
    $ipaddress = '';
    if (getenv('HTTP_CLIENT_IP'))
        $ipaddress = getenv('HTTP_CLIENT_IP');
    else if(getenv('HTTP_X_FORWARDED_FOR'))
        $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
    else if(getenv('HTTP_X_FORWARDED'))
        $ipaddress = getenv('HTTP_X_FORWARDED');
    else if(getenv('HTTP_FORWARDED_FOR'))
        $ipaddress = getenv('HTTP_FORWARDED_FOR');
    else if(getenv('HTTP_FORWARDED'))
       $ipaddress = getenv('HTTP_FORWARDED');
    else if(getenv('REMOTE_ADDR'))
        $ipaddress = getenv('REMOTE_ADDR');
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}

function debug_to_console($data) {
    $output = $data;
    if (is_array($output))
        $output = implode(',', $output);

    echo "<script>console.log('Debug Objects: " . $output . "' );</script>";
}

debug_to_console($_POST);
// $body = getPost();

$firstname = $_POST['firstname'];
$lastname = $_POST['lastname'];
$email = $_POST['email'];
// debug_to_console($firstname . " " . $lastname);

$phone = $_POST['phone'];
$answers = $_POST['answers']; 

// $data = json_encode([
//     [
//         'email' => substr($phone, 1) . "nomail@gmail.com",
//         'firstName' => $firstname,
//         'secondName' => $lastname,
//         'phone' => $phone,
//         'tag1' => 'Funnel',
//         'tag2' => 'quiz',
//         'createTrader' => 1,
//         'createTradeAccounts' => 1,
//         'clientDeskId' => 13,
//     ],
// ]);

// $affiliateId = 'nvstzk498';
// $identifyToken = 'L3OrTDkfLk2VpoNN0LJiCWLnR9NNjZM4';

// if ($curl = curl_init() ) {
//     curl_setopt($curl, CURLOPT_URL, "https://core.proftp.org/api/v3/affiliates/$affiliateId/clients"); //this url is correct
//     curl_setopt($curl, CURLOPT_RETURNTRANSFER,true);
//         curl_setopt($curl, CURLOPT_POST, true);
//     curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
//     curl_setopt($curl, CURLOPT_HTTPHEADER, [
//         "Identify-Token: $identifyToken",
//         "Content-Type: application/json; charset=utf-8",
//     ]);
//     $out = json_decode(curl_exec($curl), true);
//     curl_close($curl);
// }
// $data = array();
// if ($out['result'] == 'success') {
//     foreach ($out['values'] as $k => $row) {
//         $data[$k] = $row;
//     }
// }

$token = "6505953372:AAH0EZy1uUIT7s4tZM_-5jxuGZjJCgClEjE";

$chat_id = "-4676144036";

$message = urlencode("New user:\n\n
    First Name: $firstname\n
    Last name: $lastname\n
    Phone: $phone\n
    Email: $email\n
    Answers: $answers");

$url = "https://api.telegram.org/bot{$token}/sendMessage?chat_id={$chat_id}&text={$message}";
 
$ch = curl_init();
$optArray = array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true
);
curl_setopt_array($ch, $optArray);
$result = curl_exec($ch);
curl_close($ch);

// header('Location: thx.html');
?>